Skip to content

Get subcategory by ID

Request

Security
oauth2ClientCredentials(Required scopes: categories:read)
Path
categoryIdstringrequired
subcategoryIdstringrequired
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/categories/{categoryId}/subcategories/{subcategoryId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Subcategory details

Bodyapplication/json
_idstring

Subcategory MongoDB ID

group_idstring

Group ID

categorystring

Parent category ID

codestring

Subcategory code

namestring

Subcategory name

descriptionstring

Subcategory description

statusstring

Subcategory status

Enum:"ACTIVE""ARCHIVED"
teamsArray of arrays

Team IDs array

createdAtstring

Created timestamp

updatedAtstring

Updated timestamp

mapping_idstring

Mapping ID

iconstring

Icon

__vnumber

Version key

Response
{ "_id": "string", "group_id": "string", "category": "string", "code": "string", "name": "string", "description": "string", "status": "ACTIVE", "teams": [ [] ], "createdAt": "string", "updatedAt": "string", "mapping_id": "string", "icon": "string", "__v": 0 }